package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Deployment_typeRepository;
import com.realnet.basicp1.Entity.Deployment_type
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Deployment_typeService {
@Autowired
private Deployment_typeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Deployment_type Savedata(Deployment_type data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Deployment_type save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Deployment_type> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Deployment_type> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Deployment_type> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Deployment_type getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Deployment_type update(Deployment_type data,Integer id) {
	Deployment_type old = Repository.findById(id).get();
old.setDeployment_type(data.getDeployment_type());

final Deployment_type test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
